## baloo-kcmadv 1.00.00

=== CMakeLists.txt ===
project(baloo)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

FIND_PACKAGE(Qt4 REQUIRED)
INCLUDE(${QT_USE_FILE})

include_directories(
  ${CMAKE_BINARY_DIR}
  ${QT_INCLUDES}
  ${QJSON_INCLUDE_DIR}
  ${KFILEMETADATA_INCLUDE_DIR}
  ${XAPIAN_INCLUDE_DIR}
  ${KDE4_INCLUDES}
)

add_definitions(${KDE4_ENABLE_EXCEPTIONS})



set(kcm_file_SRCS baloodefaults.cpp
  kcm.cpp
  folderselectionmodel.cpp
  indexfolderselectiondialog.cpp
)

qt4_add_dbus_interface(kcm_file_SRCS ${KDE4_DBUS_INTERFACES_DIR}/org.kde.baloo.file.indexer.xml baloofileindexerinterface)

kde4_add_ui_files(kcm_file_SRCS
  configwidget.ui
  indexfolderselectionwidget.ui
)

kde4_add_plugin(kcm_baloofileadv ${kcm_file_SRCS})

target_link_libraries(kcm_baloofileadv
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
  ${KDE4_SOLID_LIBS}
)



install(FILES kcm_baloofileadv.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(TARGETS kcm_baloofileadv DESTINATION ${PLUGIN_INSTALL_DIR})

add_subdirectory(doc)

=== doc/CMakeLists.txt ===

kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kcontrol/kcm_baloofileadv)

=== debian/changelog ===
baloo-kcmadv (1.00.00-1) unstable; urgency=low

  * Initial version (Closes: #764115)

 -- Luigi Toscano <luigi.toscano@tiscali.it>  Thu, 09 Oct 2014 00:21:46 +0200

=== debian/control ===
Source: baloo-kcmadv
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Luigi Toscano <luigi.toscano@tiscali.it>
Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.5), cmake, pkg-config, kdelibs5-dev (>=4:4.13.0),
 baloo-dev, libkfilemetadata-dev, libqjson-dev, libxapian-dev
Homepage: https://gitorious.org/baloo-kcmadv
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/baloo-kcmadv.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/baloo-kcmadv.git

Package: kde-config-baloo-advanced
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Description: advanced configuration module for KDE Baloo Desktop Search
 This module allows users to fine-tune the configuration of the Baloo
 Desktop Search technology for KDE applications.
 .
 This package contains a KCM module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --parallel --with kde

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
opts=filenamemangle=s/\S*download=//g \
http://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=gitorious/baloo-kcmadv/baloo-kcmadv \
.*=baloo-kcmadv(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
